> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Ai calls

> The AI receptionist now and today: the call it is on, the calls that need a person, and the ones it handled



## OpenAPI

````yaml /openapi.json get /front-desk/ai-calls
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: desk
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /front-desk/ai-calls:
    get:
      tags:
        - front-desk
      summary: Ai calls
      description: >-
        The AI receptionist now and today: the call it is on, the calls that
        need a person, and the ones it handled
      operationId: front-desk.aiCalls
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AiCallsBoard'
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended | PlanRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantSuspendedEncoded'
                  - $ref: '#/components/schemas/PlanRequiredEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
        '409':
          description: WebhookDuplicate | RegistrationConflict | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    AiCallsBoard:
      type: object
      properties:
        sendToPeople:
          type: boolean
        canSendToPeople:
          type: boolean
        stats:
          $ref: '#/components/schemas/AiCallStats'
        live:
          type: array
          items:
            $ref: '#/components/schemas/LiveAiCall'
        needsYou:
          type: array
          items:
            $ref: '#/components/schemas/NeedsYouCall'
        needsYouTotal:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        handled:
          type: object
          properties:
            total:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            hours:
              type: array
              items:
                $ref: '#/components/schemas/HandledHour'
            calls:
              type: array
              items:
                $ref: '#/components/schemas/HandledCall'
          required:
            - total
            - hours
            - calls
          additionalProperties: false
      required:
        - sendToPeople
        - canSendToPeople
        - stats
        - live
        - needsYou
        - needsYouTotal
        - handled
      additionalProperties: false
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    PlanRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - PlanRequired
        tenantId:
          type: string
      required:
        - _tag
        - tenantId
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
    AiCallStats:
      type: object
      properties:
        callsToday:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        waitedInQueue:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        answerSeconds:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            - type: 'null'
        firstRing:
          type: boolean
        sortedNoPerson:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        sortedShare:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            - type: 'null'
        repairsLogged:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        fixedOnCall:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        timeSavedSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
      required:
        - callsToday
        - waitedInQueue
        - answerSeconds
        - firstRing
        - sortedNoPerson
        - sortedShare
        - repairsLogged
        - fixedOnCall
        - timeSavedSeconds
      additionalProperties: false
    LiveAiCall:
      type: object
      properties:
        enquiryId:
          type: string
        callId:
          anyOf:
            - type: string
            - type: 'null'
        startedAt:
          type: string
        caller:
          type: string
        facts:
          type: array
          items:
            type: string
        transcript:
          type: array
          items:
            $ref: '#/components/schemas/AiCallLine'
        steps:
          type: array
          items:
            $ref: '#/components/schemas/AiCallStep'
        filled:
          type: object
          properties:
            fault:
              anyOf:
                - type: object
                  properties:
                    text:
                      type: string
                    tone:
                      anyOf:
                        - type: string
                          enum:
                            - em
                            - ur
                            - ro
                            - ok
                            - br
                        - type: 'null'
                  required:
                    - text
                    - tone
                  additionalProperties: false
                - type: 'null'
            urgency:
              anyOf:
                - type: object
                  properties:
                    text:
                      type: string
                    tone:
                      anyOf:
                        - type: string
                          enum:
                            - em
                            - ur
                            - ro
                            - ok
                            - br
                        - type: 'null'
                  required:
                    - text
                    - tone
                  additionalProperties: false
                - type: 'null'
            safety:
              anyOf:
                - type: object
                  properties:
                    text:
                      type: string
                    tone:
                      anyOf:
                        - type: string
                          enum:
                            - em
                            - ur
                            - ro
                            - ok
                            - br
                        - type: 'null'
                  required:
                    - text
                    - tone
                  additionalProperties: false
                - type: 'null'
            linked:
              anyOf:
                - type: object
                  properties:
                    text:
                      type: string
                    tone:
                      anyOf:
                        - type: string
                          enum:
                            - em
                            - ur
                            - ro
                            - ok
                            - br
                        - type: 'null'
                  required:
                    - text
                    - tone
                  additionalProperties: false
                - type: 'null'
          required:
            - fault
            - urgency
            - safety
            - linked
          additionalProperties: false
        repairId:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - enquiryId
        - callId
        - startedAt
        - caller
        - facts
        - transcript
        - steps
        - filled
        - repairId
      additionalProperties: false
    NeedsYouCall:
      type: object
      properties:
        enquiryId:
          type: string
        callId:
          anyOf:
            - type: string
            - type: 'null'
        startedAt:
          type: string
        caller:
          type: string
        firstName:
          anyOf:
            - type: string
            - type: 'null'
        reason:
          type: object
          properties:
            label:
              type: string
            tone:
              type: string
              enum:
                - em
                - ur
                - ro
                - ok
                - br
          required:
            - label
            - tone
          additionalProperties: false
        checks:
          type: array
          items:
            type: boolean
        quote:
          anyOf:
            - type: string
            - type: 'null'
        detail:
          anyOf:
            - type: string
            - type: 'null'
        action:
          type: string
          enum:
            - text_confirm
            - call_back
            - call
        slot:
          anyOf:
            - type: string
            - type: 'null'
        repairId:
          anyOf:
            - type: string
            - type: 'null'
        canDismiss:
          type: boolean
      required:
        - enquiryId
        - callId
        - startedAt
        - caller
        - firstName
        - reason
        - checks
        - quote
        - detail
        - action
        - slot
        - repairId
        - canDismiss
      additionalProperties: false
    HandledHour:
      type: object
      properties:
        hour:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        sortedByAi:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        handedToPerson:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
      required:
        - hour
        - sortedByAi
        - handedToPerson
      additionalProperties: false
    HandledCall:
      type: object
      properties:
        enquiryId:
          type: string
        startedAt:
          type: string
        caller:
          type: string
        what:
          type: string
        state:
          type: string
          enum:
            - sorted
            - texted
            - escalated
            - checked
      required:
        - enquiryId
        - startedAt
        - caller
        - what
        - state
      additionalProperties: false
    AiCallLine:
      type: object
      properties:
        role:
          type: string
          enum:
            - caller
            - assistant
        text:
          type: string
      required:
        - role
        - text
      additionalProperties: false
    AiCallStep:
      type: object
      properties:
        label:
          type: string
        state:
          type: string
          enum:
            - done
            - doing
            - next
      required:
        - label
        - state
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.